Bug 244465 - Dell 1400x1050 resolution lap-top screen with Radeon Mobility M6 graphics is not supported
Dell 1400x1050 resolution lap-top screen with Radeon Mobility M6 graphics is ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 16:29 EDT by David W. Legg
Modified: 2009-11-01 07:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-01 07:46:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log file (38.63 KB, text/plain)
2007-06-18 04:33 EDT, David W. Legg
no flags Details
/etc/X11/xorg.conf too for convenience (793 bytes, text/plain)
2007-06-18 04:37 EDT, David W. Legg
no flags Details

  None (edit)
Description David W. Legg 2007-06-15 16:29:02 EDT
Description of problem:
Fedora 7 does not support Dell 1400x1050 resolution lap-top screen with Radeon
Mobility M6 graphics

Version-Release number of selected component (if applicable):
As per 2.6.21 kernel

How reproducible:
100%

Steps to Reproduce:
1. Install F7 and fully update usign yum to 15th June, 2007, inc 2.6.21 kernel.
2. Reboot
3. Check resolution by looking in Display bit of Control Center (say).
4. Hack xorg.conf and add 'Modes "1400x1050"' line.
5. Re-start X.
  
Actual results:
At steps 3 an 5, screen resolution achieved is only 1024 by something.

Expected results:
Resolution of 1400x1050 should have been achieved by the installer, but anyway
when specified in the xorg.conf file.

Additional info:
The FC6 (yes 6) live demo CD managed to get 1400x1050, I think, if I remember
correctly.
Comment 1 Adam Jackson 2007-06-15 17:05:58 EDT
Please attach the /var/log/Xorg.0.log from the broken configuration.
Comment 2 David W. Legg 2007-06-18 04:33:27 EDT
Created attachment 157260 [details]
/var/log/Xorg.0.log file
Comment 3 David W. Legg 2007-06-18 04:37:04 EDT
Created attachment 157261 [details]
/etc/X11/xorg.conf too for convenience

The Modes "1400x1050" was added by me to try to force recognition of that mode.

The original xorg.conf did not have the Modes line at all.
Comment 4 David W. Legg 2007-11-01 11:30:09 EDT
I think this one will also now affect Fedora 8 because it is still broken with
kernel-2.6.23.1-10.fc7.

I assume that it is the kernel module that is broken rather X isn't it?
Comment 5 Dave Airlie 2007-11-01 19:18:21 EDT
No its the X.org ati driver that does it....

I think the F8 driver should be fine... but it would be nice to test it..
Comment 6 Bug Zapper 2008-05-14 09:07:19 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David W. Legg 2008-06-11 04:33:10 EDT
Just verified that this is still broken in Fedora 9 (fully updated, latest
released kernel to date).
Comment 8 David W. Legg 2008-11-29 05:28:02 EST
Still a problem in Fedora 10, fully updated to date.
Comment 9 Vedran Miletić 2009-09-06 05:15:14 EDT
How about Fedora 11 or Fedora 12 Snap1?
Comment 10 Matěj Cepl 2009-10-12 17:59:35 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 11 Vedran Miletić 2009-11-01 07:46:57 EST
Matej, I'm in the process of looking through NEEDINFOs that haven't been replied for a while, and I will close this one now.

If reporter replies, we can reopen it later.

Note You need to log in before you can comment on or make changes to this bug.